dofile(LockOn_Options.script_path.."HUD\\HUD_definitions.lua")

-----------------------------------------------------------------------
--
-- software clip
--
total_field_of_view = create_HUD_element("ceMeshPoly")
total_field_of_view.name = "total_field_of_view"
total_field_of_view.primitivetype = "triangles"

num_points = 32
radius = 1.55
step = math.rad(360.0/num_points)

verts = {}
for i = 1, num_points do
	verts[i] = {(radius * math.cos(i * step)), (radius * math.sin(i * step))}
end

total_field_of_view.vertices = verts

inds = {}
j = 0
for i = 0, 29 do
	j = j + 1
	inds[j] = 0
	j = j + 1
	inds[j] = i + 1
	j = j + 1
	inds[j] = i + 2
end

total_field_of_view.indices			= inds
--total_field_of_view.init_pos		= bird_position
total_field_of_view.init_pos		= {0,-pitch_K * math.rad(20)/GetScale(),0}
total_field_of_view.material		= "GREEN_2"
total_field_of_view.h_clip_relation = h_clip_relations.REWRITE_LEVEL
total_field_of_view.level			= HUD_FOV_LEVEL
total_field_of_view.isdraw			= true
total_field_of_view.change_opacity	= false
total_field_of_view.isvisible		= false
Add(total_field_of_view)



-----------------------------------------------------------------------

local init_pos_p_x =  0.585423350 /GetScale() 
local init_pos_p_y = -0.0499138832/GetScale() 

local hardware_glass_base  			  =  CreateElement "ceSimple"
      hardware_glass_base.name		  = "hardware_glass_base"
	  hardware_glass_base.init_pos	  = {0.0,init_pos_p_y,init_pos_p_x}
      hardware_glass_base.collimated  = false
	  hardware_glass_base.controllers = {{"set_origin_to_cockpit_shape"}}
	  Add(hardware_glass_base)
	  

function add_filter_hud_only()

local	filter			  = CreateElement "ceMeshPoly"
		filter.name		  = "filter"
		filter.primitivetype = "triangles"
		filter.vertices	  = {{-0.9, 0},
							 {-0.9, 2},
							 {0.9 , 2},
							 {0.9 , 0}}
		filter.indices	  = default_box_indices
		filter.init_pos	  = {0.0, -1.0, -0.2}
		filter.init_rot   = {0.0, 0.0, 90.0}
		filter.material   = "BROWN_GLASS"
		filter.collimated = false
		filter.controllers= {{"render_purpose",render_purpose.HUD_ONLY_VIEW},{"filter_rotate",-1}}
		filter.parent_element = hardware_glass_base.name
		Add(filter)
end

add_filter_hud_only()


collimator_border_near			  = create_HUD_element("ceTexPoly")
collimator_border_near.name		  = "collimator_border_near"
collimator_border_near.vertices	  = {{-0.9, -1.2}, {-0.9,  0.8}, {0.9, 0.8}, {0.9, -1.2}}
collimator_border_near.indices	  = default_box_indices
--collimator_border_near.init_pos	  = {0.0, -0.35, 0.2}
collimator_border_near.init_pos	  = {0.0, -0.35, 0.0}
collimator_border_near.init_rot   = {0.0, 0.0, -46.0}
collimator_border_near.material   = "INDICATION_HUD_KA50_BORDER_NEAR"
collimator_border_near.tex_params = {0.5, 0.5, 0.42, 0.42}
collimator_border_near.collimated = false
collimator_border_near.parent_element = hardware_glass_base.name
Add(collimator_border_near)

collimator_border_near_clipper			  = create_HUD_element("ceTexPoly")
collimator_border_near_clipper.name		  = "collimator_border_near_clipper"
collimator_border_near_clipper.vertices	  = collimator_border_near.vertices
collimator_border_near_clipper.indices	  = default_box_indices
collimator_border_near_clipper.init_pos	  = collimator_border_near.init_pos
collimator_border_near_clipper.init_rot   = collimator_border_near.init_rot
collimator_border_near_clipper.material   = "INDICATION_HUD_KA50_BORDER_NEAR"
collimator_border_near_clipper.tex_params = collimator_border_near.tex_params
collimator_border_near_clipper.h_clip_relation = h_clip_relations.INCREASE_IF_LEVEL
collimator_border_near_clipper.level	  = HUD_FOV_LEVEL
collimator_border_near_clipper.isvisible  = false
collimator_border_near_clipper.collimated = false
collimator_border_near_clipper.parent_element = hardware_glass_base.name
Add(collimator_border_near_clipper)

collimator_border_far				= create_HUD_element("ceTexPoly")
collimator_border_far.name			= "collimator_border_far"
collimator_border_far.vertices		= {{-0.95, -0.6}, {-0.95,  1.35}, {0.95, 1.35}, {0.95, -0.6}}
collimator_border_far.indices		= default_box_indices
--collimator_border_far.init_pos		= {0.0, 0.14, 0.85}
collimator_border_far.init_pos		= {0.0, 0.0, 0.7}
collimator_border_far.init_rot		= {0.0, 0.0, -46.0}
collimator_border_far.material		= "INDICATION_HUD_KA50_BORDER_FAR"
collimator_border_far.tex_params	= {0.5, 0.5, 0.37, 0.37}
collimator_border_far.collimated	= false
collimator_border_far.parent_element = hardware_glass_base.name
Add(collimator_border_far)

collimator_border_far_clipper				= create_HUD_element("ceTexPoly")
collimator_border_far_clipper.name			= "collimator_border_far_clipper"
collimator_border_far_clipper.vertices		= collimator_border_far.vertices
collimator_border_far_clipper.indices		= default_box_indices
collimator_border_far_clipper.init_pos		= collimator_border_far.init_pos
collimator_border_far_clipper.init_rot		= collimator_border_far.init_rot
collimator_border_far_clipper.material		="INDICATION_HUD_KA50_BORDER_FAR"
collimator_border_far_clipper.tex_params	= collimator_border_far.tex_params
collimator_border_far_clipper.h_clip_relation = h_clip_relations.INCREASE_IF_LEVEL
collimator_border_far_clipper.level			= HUD_FOV_LEVEL
collimator_border_far_clipper.isvisible		= false
collimator_border_far_clipper.collimated	= false
collimator_border_far_clipper.parent_element = hardware_glass_base.name
Add(collimator_border_far_clipper)

flag_draw_refgrid = false

-- reference grid
if flag_draw_refgrid then
	size = 1.0
	init_angle = 15
	half = 1
	for i = 0, 60 do
		
		if half == 1 then
			half = 0
		else
			half = 1
		end
		
		if i == 0 or i == 10 or i == 20 or i == 30 or i == 40 or i == 50 or i == 60 then
			sizeK = 4.0
		elseif half == 1 then
			sizeK = 0.25
		else
			sizeK = 2.0
		end
		
		local elv = create_HUD_element("ceMeshPoly")
		elv.name       = "elv" .. string.format("%i", i)
		elv.primitivetype = "lines"
		elv.vertices   = {{-0.45 * size * sizeK, 0.0}, {0.45 * size * sizeK, 0.0}}
		elv.indices    = {0, 1}
		elv.init_pos   = {0.0, 0.0, 0}
		elv.material   = "GREEN"
		elv.controllers = {{"dbg_linegrid", 1, math.rad(init_angle)}}
		Add(elv)
		
		init_angle = init_angle - 0.5
	end

	init_angle = 15
	half = 1
	for i = 0, 60 do

		if half == 1 then
			half = 0
		else
			half = 1
		end
		
		if i == 0 or i == 10 or i == 20 or i == 30 or i == 40 or i == 50 or i == 60 then
			sizeK = 4.0
		elseif half == 1 then
			sizeK = 0.25
		else
			sizeK = 2.0
		end

		local elg = create_HUD_element("ceMeshPoly")
		elg.name       = "elg" .. string.format("%i", i)
		elg.primitivetype = "lines"
		elg.vertices   = {{0.0, -0.45 * size * sizeK}, {0.0, 0.45 * size * sizeK}}
		elg.indices    = {0, 1}
		elg.init_pos   = {0.0, 0.0, 0}
		elg.material   = "GREEN"
		elg.controllers = {{"dbg_linegrid", 0, math.rad(init_angle)}}
		Add(elg)
		
		init_angle = init_angle - 0.5
	end
end
